#include <stdio.h>

long long exp( int base, int pow ) {
	long long result = 1;
	long long mul = base;

	while( pow ) {
		if( ( pow & 1 ) == 1 ) {
			result *= mul;
		}

		mul *= mul;
		pow >>= 1;
	}

	return result;
}

int main() {
	int m,p,l,e,r,s,n;
	while( scanf( "%d %d %d %d %d %d %d\n", &m, &p, &l, &e, &r, &s, &n ) == 7 ) {
		int gen = (int) n/3;
		long long res = 0;

		switch( n%3 ) {
			case 0:
				res = m;	
				break;
			case 1:
				res = p / s;
				break;
			case 2:
				res = l / ( r*s );
				break;
			default:
				break;
		}

		for( int i = 0; i < gen; i++ ) {
			res = ( res * e ) / ( r * s );
		}

		printf( "%lld\n", res );
	}	

	return 0;
}
